DefaultTlsSignerCredentials (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class DefaultTlsSignerCredentials

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsCredentials
  - - org.bouncycastle.crypto.tls.AbstractTlsSignerCredentials
    - - org.bouncycastle.crypto.tls.DefaultTlsSignerCredentials

- All Implemented Interfaces:
    TlsCredentials, TlsSignerCredentials

      public class DefaultTlsSignerCredentials
      extends AbstractTlsSignerCredentials

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Certificate` | `certificate`
    `protected TlsContext` | `context`
    `protected AsymmetricKeyParameter` | `privateKey`
    `protected SignatureAndHashAlgorithm` | `signatureAndHashAlgorithm`
    `protected TlsSigner` | `signer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTlsSignerCredentials(TlsContext context, Certificate certificate, AsymmetricKeyParameter privateKey)`
    `DefaultTlsSignerCredentials(TlsContext context, Certificate certificate, AsymmetricKeyParameter privateKey, SignatureAndHashAlgorithm signatureAndHashAlgorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateCertificateSignature(byte[] hash)`
    `Certificate` | `getCertificate()`
    `SignatureAndHashAlgorithm` | `getSignatureAndHashAlgorithm()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected TlsContext context

    - #### certificate

          protected Certificate certificate

    - #### privateKey

          protected AsymmetricKeyParameter privateKey

    - #### signatureAndHashAlgorithm

          protected SignatureAndHashAlgorithm signatureAndHashAlgorithm

    - #### signer

          protected TlsSigner signer

  - ### Constructor Detail

    - #### DefaultTlsSignerCredentials

          public DefaultTlsSignerCredentials(TlsContext context,
                                     Certificate certificate,
                                     AsymmetricKeyParameter privateKey)

    - #### DefaultTlsSignerCredentials

          public DefaultTlsSignerCredentials(TlsContext context,
                                     Certificate certificate,
                                     AsymmetricKeyParameter privateKey,
                                     SignatureAndHashAlgorithm signatureAndHashAlgorithm)

  - ### Method Detail

    - #### getCertificate

          public Certificate getCertificate()

    - #### generateCertificateSignature

          public byte[] generateCertificateSignature(byte[] hash)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSignatureAndHashAlgorithm

          public SignatureAndHashAlgorithm getSignatureAndHashAlgorithm()

      Specified by:
        `getSignatureAndHashAlgorithm` in interface `TlsSignerCredentials`
      Overrides:
        `getSignatureAndHashAlgorithm` in class `AbstractTlsSignerCredentials`